<div class="inventory" #refinv  *ngIf="game?.running" (contextmenu)="contextMenuDisableX()">
  <div class="inventory__title" [ngClass]="{'grabbing':draggingManager.isDragging}" (mousedown)="draggingManager.startDrag($event, refinv)">Inventory</div>
  <div *ngFor="let slot of game?.player?.inventory; let i = index" (click)="selectSlot(slot)" (contextmenu)="useSlot(slot)" class="slot" 
       [ngStyle]="{cursor:slot.item?'pointer':'default'}">
      <div class="slot__img" [ngStyle]="{background:getItemSprite(slot)}"></div>
  </div>
  <div style="margin-top:4px">
    <div class="gold-img" [ngStyle]="{background:getGoldSprite()}"></div>
    {{game?.player?.gold}}
  </div>
</div>